classification
Title: combine the two type() definitions in built-in function docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: chris.jerdonek, docs@python, ezio.melotti, python-dev, rhettinger, sevanteri, terry.reedy
Priority: normal Keywords: patch

Created on 2012-10-12 09:12 by chris.jerdonek, last changed 2012-10-24 20:08 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue16210.patch sevanteri, 2012-10-23 11:38 review
Messages (6)
msg172734 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-10-12 09:12
[Found by Ezio]

The built-in function documentation has what looks like two separate definitions of the built-in function type():

http://docs.python.org/dev/library/functions.html#type

These two definitions should be combined into one with a multi-line signature like we're doing for the other built-in functions.
msg172778 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-10-12 20:33
In other words, change
'''
type(object)

    Return the type of an object. ...
    ...
    With three arguments, type() functions as a constructor as detailed below.

type(name, bases, dict)

    Return a new type object....
'''
to something like
'''
type(object)
type(name, bases, dict)

    With one argument, return the type of an object. ...
    
    With three arguments, return a new type object. ...
'''
Now that we are using double headers elsewhere, I agree we should do so here also.
msg173592 - (view) Author: Pete Sevander (sevanteri) * Date: 2012-10-23 11:38
Here's a patch for it.
msg173698 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2012-10-24 19:51
This patch looks good.  Ezio, if you agree, please apply it.
msg173700 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-24 20:07
New changeset 6dde85f2e4af by Ezio Melotti in branch '2.7':
#16210: combine the two type() docs.  Patch by Pete Sevander.
http://hg.python.org/cpython/rev/6dde85f2e4af

New changeset 997ab4f1530f by Ezio Melotti in branch '3.2':
#16210: combine the two type() docs.  Patch by Pete Sevander.
http://hg.python.org/cpython/rev/997ab4f1530f

New changeset 8f1d72106073 by Ezio Melotti in branch '3.3':
#16210: merge with 3.2.
http://hg.python.org/cpython/rev/8f1d72106073

New changeset fd69a6d1b0f0 by Ezio Melotti in branch 'default':
#16210: merge with 3.3.
http://hg.python.org/cpython/rev/fd69a6d1b0f0
msg173701 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-10-24 20:08
Done, thanks for the patch!
History
Date User Action Args
2012-10-24 20:08:49ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg173701

stage: needs patch -> resolved
2012-10-24 20:07:54python-devsetnosy: + python-dev
messages: + msg173700
2012-10-24 19:51:56rhettingersetassignee: docs@python -> ezio.melotti

messages: + msg173698
nosy: + rhettinger
2012-10-23 11:38:52sevanterisetfiles: + issue16210.patch

nosy: + sevanteri
messages: + msg173592

keywords: + patch
2012-10-12 20:33:15terry.reedysetnosy: + terry.reedy
messages: + msg172778
2012-10-12 09:19:27ezio.melottisettype: enhancement
stage: needs patch
2012-10-12 09:12:19chris.jerdonekcreate